---
lang: en
title: 'API docs: sequelize.sequelizecrudrepository.isinclusionallowed'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/sequelize
permalink: /doc/en/lb4/apidocs.sequelize.sequelizecrudrepository.isinclusionallowed.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/sequelize](./sequelize.md) &gt; [SequelizeCrudRepository](./sequelize.sequelizecrudrepository.md) &gt; [isInclusionAllowed](./sequelize.sequelizecrudrepository.isinclusionallowed.md)

## SequelizeCrudRepository.isInclusionAllowed() method

Checks if the resolver of the inclusion relation is registered in the inclusionResolver of the current repository

**Signature:**

```typescript
protected isInclusionAllowed(include: InclusionFilter): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  include | [InclusionFilter](./filter.inclusionfilter.md) | LoopBack Inclusion filter |

**Returns:**

boolean


